Bug 72594 - File links to range names don't work after re-opening file (unable to create VLOOKUP named range in another file)
Summary: File links to range names don't work after re-opening file (unable to create ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.2.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 125134 (view as bug list)
Depends on: 60170
Blocks: Cell-Name
  Show dependency treegraph
 
Reported: 2013-12-11 11:42 UTC by Dave
Modified: 2021-05-07 03:59 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dave 2013-12-11 11:42:51 UTC
Creating a link to a named range works (e.g. VLOOKUP(a1,'file:///C:/some/path/file1.ods'#rangename,1,0) ) even if file1.ods is not currently open. However after saving the file with the link and re-opening, the formula just shows #NAME (even before the update links dialog is answered). Manually updating the links does nothing. Editing the cell (this involves actually making a change e.g. deleting the final bracket and replacing it) makes the formula work again.
Comment 1 raal 2014-09-20 19:35:15 UTC
I can reproduce only with LO 3.5.
In actual versions of LO -  4.2.6, 4.3.3, 4.4 is broken creating a link to named ranges:
 LO 3.5
 =VLOOKUP(A1;'file:///tmp/file1.ods'#xrange;1;0)
 formula works
 after save and reopen the formula just shows #NAME (even before the update links dialog is answered). Manually updating the links does nothing. Editing the cell (this involves actually making a change e.g. deleting the final bracket and replacing it) makes the formula work again.

 LO 4.2.6 , 4.3.3, 4.4 :
  =VLOOKUP(A1;'file:///tmp/file1.ods'#xrange;1;0)
 after press ENTER the formula is changed to =VLOOKUP(A1;'file:///tmp/file1.ods'#file:///tmp/file1.ods;1;0)

Tested in Linux.
Comment 2 QA Administrators 2015-10-14 19:56:13 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2016-11-08 11:02:55 UTC Comment hidden (obsolete)
Comment 4 m.a.riosv 2019-05-07 20:22:09 UTC
*** Bug 125134 has been marked as a duplicate of this bug. ***
Comment 5 m.a.riosv 2019-05-07 20:24:13 UTC
Seems depends on 60170
Comment 6 QA Administrators 2021-05-07 03:59:29 UTC
Dear Dave,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug